unit formani;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KsControls, KsGroupBoxs, KsSkinGroupBoxs, KsCheckBoxs, KsSkinCheckBoxs,
  KsButtons, KsSkinButtons, StdCtrls, KsHooks, KsForms, KsSkinForms, Mask,
  KsEdits, KsSkinEdits;

type
  TAniDemo = class(TForm)
    SeSkinButton1: TSeSkinButton;
    SeSkinButton2: TSeSkinButton;
    Label1: TLabel;
    SeSkinForm1: TSeSkinForm;
    edTime: TSeSkinEdit;
    SeRadioGroup1: TSeSkinRadioGroup;
    procedure SeSkinButton2Click(Sender: TObject);
    procedure SeSkinButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AniDemo: TAniDemo;

implementation

uses Main, Ani, KsEffects;

{$R *.DFM}

procedure TAniDemo.SeSkinButton2Click(Sender: TObject);
begin
  Close;
end;

procedure TAniDemo.SeSkinButton1Click(Sender: TObject);
begin
  { Show Ani }
  AniForm := TAniForm.Create(Self);
  AniForm.SkinForm.ShowAnimation := TKsAnimation(SeRadioGroup1.ItemIndex);
  AniForm.SkinForm.ShowAnimationTime := StrToInt(edTime.Text);
  AniForm.ShowModal;
  AniForm.Free;
end;

end.
